> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/zec/cidr-block/describeipv6cidrregions.md).

# DescribeIpv6CidrRegions

## 1. API Description

This API (DescribeIpv6CidrRegions) is used to query the regions where IPv6 CIDR blocks are available for purchase.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

None

## 3. Output Parameters

| Parameter Name | Type                                                                                  | Description                                                                                                           |
| -------------- | ------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                                | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| regionSet      | Array of [Ipv6CidrRegionItem](/api-reference/zec/datastructure.md#ipv6cidrregionitem) | List of regions where IPv6 CIDR blocks are available for purchase.                                                    |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Query the regions where IPv6 CIDR blocks are available for purchase.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeIpv6CidrRegions
<Common Request Params>

Request:
{
}

Response:
{
  "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
  "response": {
    "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
    "regionSet": [
      {
        "regionId": "asia-east-1",
        "regionName": "asia-east-1",
        "location": "Shanghai",
        "wideRegionName": "APAC",
        "wideRegionTitle": "Asia Pacific",
        "administrativeRegion": "CHINESE_MAINLAND",
        "discount": 100
      },
      {
        "regionId": "asia-southeast-1",
        "regionName": "asia-southeast-1",
        "location": "Singapore",
        "wideRegionName": "APAC",
        "wideRegionTitle": "Asia Pacific",
        "administrativeRegion": "FOREIGN",
        "discount": 95
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
